/*
		DstateQuery.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/


#include "stdafx.h"
#include "Cbreak.h"
#include "DstateQuery.h"
#include "utils.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DstateQuery dialog


DstateQuery::DstateQuery(int def, CWnd* pParent /*=NULL*/)
	: CDialog(DstateQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(DstateQuery)
	m_state =0;
	//}}AFX_DATA_INIT
	value = def;
}


void DstateQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DstateQuery)
	DDX_Radio(pDX, IDC_DSTATE1, m_state);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DstateQuery, CDialog)
	//{{AFX_MSG_MAP(DstateQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DstateQuery message handlers

void DstateQuery::OnOK() 
{
	UpdateData(TRUE);
    value = m_state;	
	CDialog::OnOK();
}
