#if !defined(AFX_REDIT_H__405F2995_5C0F_416E_88F1_E4C4DB4ED6B6__INCLUDED_)
#define AFX_REDIT_H__405F2995_5C0F_416E_88F1_E4C4DB4ED6B6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Redit.h : header file
//
#pragma warning(disable:4786)
#include "World.h"
#include "ImprovedEdit.h"

/////////////////////////////////////////////////////////////////////////////
// Redit dialog

class Redit : public CPropertyPage
{
	DECLARE_DYNCREATE(Redit)

// Construction
public:
	void disable_redit(int all);

	Redit();
	~Redit();
	void LoadRedit();

// Dialog Data
	//{{AFX_DATA(Redit)
	enum { IDD = IDD_ROOMEDIT };
	ImprovedEdit	e_room_name;
	ImprovedEdit	e_exdesc_string;
	ImprovedEdit	e_room_description;
	ImprovedEdit	e_zone_name;
	CButton	m_door_w;
	CButton	m_door_u;
	CButton	m_door_sw;
	CButton	m_door_se;
	CButton	m_door_s;
	CButton	m_door_nw;
	CButton	m_door_ne;
	CButton	m_door_n;
	CButton	m_door_e;
	CButton	m_door_d;
	CButton	m_room_number;
	CString	m_room_description;
	CString	m_exdesc_string;
	int		m_reset_mode;
	int		m_sector_type;
	int		m_zone_lifespan;
	CString	m_zone_name;
	CString	m_zone_range;
	CString	m_room_name;
	int		m_zone_number;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(Redit)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(Redit)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeExdescKeyword();
	afx_msg void OnRoomNumber();
	afx_msg void OnNextRoom();
	afx_msg void OnPreviousRoom();
	afx_msg void OnPreviousZone();
	afx_msg void OnNextZone();
	afx_msg void OnNewDesc();
	afx_msg void OnChangeExdescDesc();
	afx_msg void OnChangeRoomName();
	afx_msg void OnEditchangeSectorType();
	afx_msg void OnChangeEditRoomdesc();
	afx_msg void OnChangeZoneName();
	afx_msg void OnChangeZoneLifespan();
	afx_msg void OnEditchangeResetMode();
	afx_msg void OnChangeZoneRange();
	afx_msg void OnDeleteDesc();
	afx_msg void OnDoorUp();
	afx_msg void OnDoorNw();
	afx_msg void OnDoorNe();
	afx_msg void OnDoorN();
	afx_msg void OnDoorW();
	afx_msg void OnDoorE();
	afx_msg void OnDoorS();
	afx_msg void OnDoorSw();
	afx_msg void OnDoorDown();
	afx_msg void OnDoorSe();
	afx_msg void OnRoomFlags();
	afx_msg void OnSaveRoom();
	afx_msg void OnDeleteRoom();
	afx_msg void OnNewRoom();
	afx_msg void OnGotoZcmds();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REDIT_H__405F2995_5C0F_416E_88F1_E4C4DB4ED6B6__INCLUDED_)
